import java.applet.*;
import java.awt.*;

public class EX06G extends Applet
{
    MyFrame frame;

    public void init()
    {
        frame = new MyFrame();
        add(new Button("Show Frame"));
    }

    public boolean action(Event evt, Object obj)
    {
        boolean result = false;

        if ("Show Frame".equals(obj)) {
            frame.show();
            result = true;
        }
        return result;
    }
}

class MyFrame extends Frame {
	TextArea info;

    public MyFrame() 
    {
		MenuBar menuBar = new MenuBar();

		// create a menu of dog breeds
		Menu dogMenu = new Menu("Dogs");
		dogMenu.add(new MenuItem("Labrador"));
		dogMenu.add(new MenuItem("Poodle"));
		dogMenu.add(new MenuItem("Spaniel"));
		// add the menu to the menu bar
		menuBar.add(dogMenu);

		// create a menu of cat breeds
		Menu catMenu = new Menu("Cats");
		catMenu.add(new MenuItem("Persian"));
		catMenu.add(new MenuItem("Maine Coon"));
		// separate house cats from wild cats
		catMenu.addSeparator();
		catMenu.add(new MenuItem("Cougar"));
		catMenu.add(new MenuItem("Leopard"));
		// add the menu to the menu bar
		menuBar.add(catMenu);

		// create a menu of pet foods
		Menu foodMenu = new Menu("Food");
		// create a CheckboxMenuItem for dog food
		CheckboxMenuItem dogFood = new CheckboxMenuItem("Dog Chow");
		dogFood.setState(true);
		foodMenu.add(dogFood);
		// there are two types of cat food so 
		// create a sub menu
		Menu catFoodMenu = new Menu("Cat Food");
		catFoodMenu.add(new MenuItem("Tuna"));
		catFoodMenu.add(new MenuItem("Cat Chow"));
		// add the sub menu to the menu
		foodMenu.add(catFoodMenu);
		// add the menu to the menu bar
		menuBar.add(foodMenu);

		// add a Close button on a panel
        Panel p = new Panel();
        p.add(new Button("Close"));
        add("South", p);

		Panel p2 = new Panel();
		info = new TextArea(3, 20);
		p2.add(info);
		add("Center", p2);

		// set the frame's menu bar to the new menu
		setMenuBar(menuBar);

        resize(250, 250);

    }

    public boolean action(Event evt, Object arg) 
    {
        boolean result = false;

        if("Close".equals(evt.arg)) {
            dispose();
            result = true;
        }
		else if ("Persian".equals(evt.arg)) {
			info.setText("A big furry cat\r\n");
			info.appendText("that I'm allergic to.");			
            result = true;
		}
		else if ("Maine Coon".equals(evt.arg)) {
			info.setText("A really ferocious cat that\r\n");
			info.appendText("my Grandmother thinks is\r\n");
			info.appendText("a house cat.");			
            result = true;
		}
        return result;
    }     
}
